function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

export var isUndefined = function isUndefined(obj) {
  return typeof obj === 'undefined';
};
export var isFunction = function isFunction(func) {
  return typeof func === 'function';
};
export var isMiddlewares = function isMiddlewares(prop) {
  return prop === 'middlewares';
};
export var isObject = function isObject(obj) {
  return {}.toString.call(obj) === '[object Object]';
};
export var isString = function isString(obj) {
  return {}.toString.call(obj) === '[object String]';
};
export var isPromise = function isPromise(obj) {
  return !!obj && (_typeof(obj) === 'object' || typeof obj === 'function') && typeof obj.then === 'function';
};
export default {
  isFunction: isFunction,
  isMiddlewares: isMiddlewares,
  isPromise: isPromise,
  isObject: isObject,
  isUndefined: isUndefined,
  isString: isString
};